### A free/open-source library for quantitative finance

Public Member Functions
FixedRateLeg Class Reference

helper class building a sequence of fixed rate coupons More...

`#include <ql/cashflows/fixedratecoupon.hpp>`

List of all members.

## Public Member Functions

| FixedRateLeg (const Schedule &schedule)
FixedRateLeg & | withNotionals (Real)
FixedRateLeg & | withNotionals (const std::vector< Real > &)
FixedRateLeg & | withCouponRates (Rate, const DayCounter &paymentDayCounter, Compounding comp=Simple, Frequency freq=Annual)
FixedRateLeg & | withCouponRates (const std::vector< Rate > &, const DayCounter &paymentDayCounter, Compounding comp=Simple, Frequency freq=Annual)
FixedRateLeg & | withCouponRates (const InterestRate &)
FixedRateLeg & | withCouponRates (const std::vector< InterestRate > &)
FixedRateLeg & | withPaymentAdjustment (BusinessDayConvention)
FixedRateLeg & | withFirstPeriodDayCounter (const DayCounter &)
FixedRateLeg & | withPaymentCalendar (const Calendar &)
| operator Leg () const

## Detailed Description

helper class building a sequence of fixed rate coupons